API DocumentationManufacturer routing template controller
Approve
POST
Phasio API Bearer Tokenheader
AuthorizationBearer <token>id*stringFormat
uuidThe approved routing template
*/*- response
id*stringFormat
uuidpartSpecificationId*stringFormat
uuidname*stringapproved*booleanisDefault*booleandeprecated*booleandeprecatedAt?stringFormat
date-timereplacedById?stringFormat
uuidworkOrderReferences*integerFormat
int64steps*array<>createdAt*stringFormat
date-timeupdateDt*stringFormat
date-timecurl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/routing-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d", "name": "string", "approved": true, "isDefault": true, "deprecated": true, "deprecatedAt": "2019-08-24T14:15:22Z", "replacedById": "a0b3b1cc-bf08-43c8-b227-bc611de3b6d2", "workOrderReferences": 0, "steps": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "operationName": "string", "sequence": 0 } ], "createdAt": "2019-08-24T14:15:22Z", "updateDt": "2019-08-24T14:15:22Z"}